# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="Tool for automatic upgrades"
HOMEPAGE="https://gitea.fulh.ax/feffe/sau"
if [[ ${PV} == *9999 ]] ; then
	EGIT_REPO_URI="https://gitea.fulh.ax/feffe/sau.git"
	inherit git-r3
	KEYWORDS="~amd64 ~arm64"
else
	SRC_URI="https://gitea.fulh.ax/feffe/sau/archive/v${PV}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/sau"
	KEYWORDS="amd64 arm64"
fi


RESTRICT="mirror"
LICENSE="BSD"
SLOT="0"
IUSE="selinux"

DEPEND="selinux? ( sec-policy/selinux-sau )"
RDEPEND="${DEPEND} dev-python/psutil app-portage/gentoolkit"
BDEPEND=""
